<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>

<body>
    <input type="text" name="nome">
    <button onClick="adicionar()">Adicionar</button>

    <ul>
    </ul>
    <script>
        var body = document.querySelector("ul")

        var nomes = ["Diego", "Gabriel", "Lucas"];
        for (nome of nomes) {
            var linha = document.createElement("li")
            linha.innerText = nome
            body.appendChild(linha)
        }

        function adicionar(){
            var nome = document.querySelector("input").value
            document.querySelector("input").value = ""
            var linha = document.createElement("li")
            linha.innerText = nome
            body.appendChild(linha)

        }
    </script>
</body>

</html>